Bug 373363 - Kmail folder properties aren't shown after closing them
Summary: Kmail folder properties aren't shown after closing them
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: Git (master)
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-06 19:07 UTC by Maximiliano Curia
Modified: 2016-12-07 10:28 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.0


Attachments
Delete the dialog on close (786 bytes, patch)
2016-12-06 19:07 UTC, Maximiliano Curia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maximiliano Curia 2016-12-06 19:07:34 UTC
Created attachment 102652 [details]
Delete the dialog on close

Hi,

When closing the folder properties window with the X button it's no longer possible to show it again. This is due to the fact that the window is not deleted on close (as done in with the cancel button pressed signal). I'm attaching a patch that I'm planning to apply in the Debian packages.

Happy hacking,
Comment 1 Laurent Montel 2016-12-07 10:28:31 UTC
Git commit 4795732f92667bf022ce972298a61ceab6ec3780 by Montel Laurent.
Committed on 07/12/2016 at 10:27.
Pushed by mlaurent into branch 'Applications/16.12'.

Fix Bug 373363 - Kmail folder properties aren't shown after closing them

Apply patch from Maximiliano Curia
Thanks a lot
FIXED-IN: 5.4.0

M  +1    -0    src/widgets/collectionpropertiesdialog.cpp

https://commits.kde.org/akonadi/4795732f92667bf022ce972298a61ceab6ec3780